> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clarionhealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit Eligibility Check

> Submit a new eligibility check. This endpoint processes requests asynchronously.

**How it works:**
1. Submit your request with patient, insurance, and provider information
2. You'll receive a numeric ID and "in-progress" status immediately
3. We'll process the check asynchronously

**Accepted Payers:**
We currently support eligibility checks for the following major payers and their subsidiaries:

- **United Healthcare Group**

- **Aetna**

- **Cigna**



- **Oscar Health**

- **Oxford**

- **Humana**



- **Medica**

- **Kaiser**

For payers not listed above, the API will return a `400` error status with a list of currently supported payers.



## OpenAPI

````yaml POST /eligibility
openapi: 3.0.1
info:
  title: Clarion API
  description: >-
    Clarion's public facing API. For more information, please visit
    https://docs.clarionhealth.com
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.clarionhealth.com/v1
security:
  - bearerAuth: []
paths:
  /eligibility:
    post:
      description: >-
        Submit a new eligibility check. This endpoint processes requests
        asynchronously.


        **How it works:**

        1. Submit your request with patient, insurance, and provider information

        2. You'll receive a numeric ID and "in-progress" status immediately

        3. We'll process the check asynchronously


        **Accepted Payers:**

        We currently support eligibility checks for the following major payers
        and their subsidiaries:


        - **United Healthcare Group**


        - **Aetna**


        - **Cigna**




        - **Oscar Health**


        - **Oxford**


        - **Humana**




        - **Medica**


        - **Kaiser**


        For payers not listed above, the API will return a `400` error status
        with a list of currently supported payers.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                patient:
                  type: object
                  properties:
                    first_name:
                      type: string
                      description: Patient's first name
                      example: John
                    last_name:
                      type: string
                      description: Patient's last name
                      example: Doe
                    date_of_birth:
                      type: string
                      format: date
                      pattern: ^\d{4}-\d{2}-\d{2}$
                      description: Patient's date of birth in YYYY-MM-DD format
                      example: '1990-01-01'
                    member_id:
                      type: string
                      description: Patient's insurance member ID.
                      example: X12345678
                    customer_patient_id:
                      type: string
                      description: >-
                        Optional identifier for linking this eligibility check
                        to your internal patient records. This value will be
                        returned in all responses.
                      example: '1234567890'
                  required:
                    - first_name
                    - last_name
                    - date_of_birth
                    - member_id
                insurance:
                  type: object
                  properties:
                    payer_id:
                      type: string
                      description: >-
                        Insurance company's payer ID. See the Supported Payers
                        page for the full list of accepted payer IDs.
                      example: '87726'
                      enum:
                        - '60054'
                        - '87726'
                        - '62308'
                        - OSCAR
                        - '06111'
                        - '61101'
                        - '94265'
                        - KSRCN
                        - '100173'
                        - KSRA
                        - '94134'
                        - '100178'
                        - '91051'
                        - '94123'
                        - '21313'
                        - '94320'
                  required:
                    - payer_id
                provider:
                  type: object
                  properties:
                    organization_name:
                      type: string
                      description: Organization name
                      example: Acme Medical Center
                    npi:
                      type: string
                      description: National Provider Identifier (NPI)
                      example: '1234567890'
                  required:
                    - organization_name
                    - npi
                webhook_url:
                  type: string
                  format: uri
                  description: >-
                    Optional webhook URL where eligibility check results will be
                    sent. If provided, you'll receive a POST request with the
                    eligibility check data when the check completes.
                  example: https://your-domain.com/webhooks-url
                webhook_secret:
                  type: string
                  description: >-
                    Optional secret token for webhook authentication. If
                    provided, webhook payloads will be sent with an
                    'Authorization: Bearer {secret}' header. **Do not** include
                    the 'Bearer' prefix when providing the secret.
                  example: your_webhook_secret_here
              required:
                - patient
                - insurance
                - provider
      responses:
        '201':
          description: >-
            Eligibility check submitted successfully. The check is being
            processed asynchronously. You will receive a webhook notification
            when the check completes. You can also poll the GET endpoint to
            check status.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: integer
                    description: Unique identifier for this eligibility check request
                  status:
                    type: string
                    enum:
                      - in-progress
                    description: Current status of the eligibility check
                  created_at:
                    type: string
                    format: date-time
                    description: Timestamp when the request was created
                  customer_patient_id:
                    type: string
                    nullable: true
                    description: >-
                      The customer-provided patient identifier, if provided will
                      be returned in every other response for this eligibility
                      check.
                    example: '1234567890'
                required:
                  - id
                  - status
        '400':
          description: Bad request - Invalid payload
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error code identifying the type of error
                    example: Bad Request
                  message:
                    oneOf:
                      - type: string
                        description: Human-readable error message
                        example: Bad Request
                      - type: array
                        items:
                          type: string
                        description: Array of human-readable error messages
                        example:
                          - Bad Request
                          - Invalid field
                    description: Human-readable error message(s)
                  statusCode:
                    type: integer
                    description: HTTP status code
                    example: 400
                required:
                  - error
                  - message
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````